// mfcAppDlg.h : header file
//

#if !defined(AFX_MFCAPPDLG_H__CDBC6962_3D64_44E9_87BC_BC6133073FAF__INCLUDED_)
#define AFX_MFCAPPDLG_H__CDBC6962_3D64_44E9_87BC_BC6133073FAF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMfcAppDlg dialog

class CMfcAppDlg : public CDialog
{
// Construction
public:
	CMfcAppDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMfcAppDlg)
	enum { IDD = IDD_MFCAPP_DIALOG };
	CEdit	m_kVah4;
	CEdit	m_kVah3;
	CEdit	m_kVah2;
	CEdit	m_kVah1;
	CEdit	m_kvarh4;
	CEdit	m_kvarh3;
	CEdit	m_kvarh2;
	CEdit	m_kvarh1;
	CEdit	m_kWh4;
	CEdit	m_kWh3;
	CEdit	m_kWh2;
	CEdit	m_kWh1;
	CEdit	m_PF4;
	CEdit	m_PF3;
	CEdit	m_PF2;
	CEdit	m_PF1;
	CEdit	m_kVA4;
	CEdit	m_kVA3;
	CEdit	m_kVA2;
	CEdit	m_kVA1;
	CEdit	m_kVar4;
	CEdit	m_kVar3;
	CEdit	m_kVar2;
	CEdit	m_kVar1;
	CEdit	m_kW4;
	CEdit	m_kW3;
	CEdit	m_kW2;
	CEdit	m_kW1;
	CEdit	m_Current4;
	CEdit	m_Current3;
	CEdit	m_Current2;
	CEdit	m_Current1;
	CEdit	m_Voltage4;
	CEdit	m_Voltage3;
	CEdit	m_Voltage2;
	CEdit	m_Voltage1;
	CEdit	m_slave;
	CEdit	m_regCt;
	CEdit	m_regPt;
	CEdit	m_regMR;
	CEdit	m_regStopbit;
	CEdit	m_regBaudrate;
	CEdit	m_timeout;
	CEdit	m_port;
	CComboBox	m_stopbit;
	CComboBox	m_baudrate;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcAppDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMfcAppDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OpenCOM();
	afx_msg void CloseCom();
	afx_msg void ReadHolding();
	virtual void OnCancel();
	afx_msg void ReadMeasurements();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCAPPDLG_H__CDBC6962_3D64_44E9_87BC_BC6133073FAF__INCLUDED_)
